Skip to content

TrackingCode⁠

Perform various operations for Symitar parameters.

Operations⁠

getTrackingCodeSelectFields⁠

POST

Execute the persistent ParameterService getTrackingCodeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TrackingCodeCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTrackingCodeSelectFields
POST /nexum/627/persistent/parameter/getTrackingCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "TrackingCodeCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllTrackingCodeFields": true,
    "TrackingCodeFields": {
      "Code": true,
      "Description": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getTrackingCodePagedListSelectFields⁠

POST

Execute the persistent ParameterService getTrackingCodePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTrackingCodePagedListSelectFields
POST /nexum/627/persistent/parameter/getTrackingCodePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllTrackingCodeFields": true,
    "TrackingCodeFields": {
      "Code": true,
      "Description": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchTrackingCodePagedSelectFields⁠

POST

Execute the persistent ParameterService searchTrackingCodePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchTrackingCodePagedSelectFields
POST /nexum/627/persistent/parameter/searchTrackingCodePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllTrackingCodeFields": true,
    "TrackingCodeFields": {
      "Code": true,
      "Description": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateTrackingCodeByID⁠

POST

Execute the persistent ParameterService updateTrackingCodeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TrackingCodeCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateTrackingCodeByID
POST /nexum/627/persistent/parameter/updateTrackingCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "TrackingCodeCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "TrackingCodeFields": {
    "Code": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}